<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
    {
    /**
     * Run the migrations.
     */
    public function up(): void
        {
        Schema::create('deals', function (Blueprint $table)
            {
                $table->id();
                $table->foreignId('client_id')->references('id')->on('users');
                $table->foreignId('complex_id')->references('id')->on('complexes')->onDelete('cascade');
                $table->foreignId('agent_id')->references('id')->on('agents')->onDelete('cascade');
                $table->string('bitrix_id')->nullable();
                $table->string('confirm_token')->nullable();
                $table->enum('status', ['NEW', 'MODERATION', 'UNIQUE', 'NOT UNIQUE'])->default('NEW');
                $table->timestamps();
            });
        }

    /**
     * Reverse the migrations.
     */
    public function down(): void
        {
        Schema::dropIfExists('clients');
        }
    };
